<script lang="ts">
import { defineComponent } from "vue";

export default defineComponent({
  props: {
    duration: { type: Number },
  },
  emits: ["onHidden"],
  mounted() {
    if (this.duration !== undefined) {
      setTimeout(() => {
        //this.visible = false;
        this.$emit("onHidden");
      }, this.duration);
    }
  },
});
</script>
<template>
  <div class="flash"><slot></slot></div>
</template>
<style scoped>
.flash {
  margin: 10px auto;
  font-family: Arial, Helvetica, sans-serif;
  font-weight: bold;
  border: 0;
  width: fit-content;
  padding: 0 1em;
  text-align: center;
  vertical-align: middle;
  height: 58px;
  line-height: 58px;
  border-radius: 4px;
  background-color: var(--primary);
  color: var(--bg);
  text-transform: uppercase;
  cursor: default;
  user-select: none;
  position: relative;
}
</style>
